
	.include    "jaguar.inc"
	.include    "graphics.inc"

	.globl _font8x8
	.globl _lavabitmapdata
	.globl _playerbitmapdata
	.globl _enemybitmapdata
	.globl _logwindowbase
	.globl _scorewindowbase
	.globl _messagewindowbase
	.globl _creditwindowbase
	.globl _missilebitmapdata
	.globl _exp4832bitmapdata
	.globl _junkbitmapdata
	.globl _titlebitmapdata
	.globl _laserspldata
	.globl _explosionspldata
	.globl _shipexplospldata
	.globl _laserspldataend
	.globl _explosionspldataend
	.globl _shipexplospldataend
	.globl _u235sebitmapdata
	
	
; -------------------------------------------------------
; Default frame buffer size
; -------------------------------------------------------
BMP_WIDTH   	.equ    320     ; Width in Pixels
BMP_HEIGHT  	.equ    200     ; Height in Pixels


; -------------------------------------------------------
; Externals
; -------------------------------------------------------
		.extern	___main
		
; -------------------------------------------------------
; Entry point
; -------------------------------------------------------		
		.text
		.68000

	move.l  #INITSTACK,a7   	; Setup a stack
            	
	move.l  #BMP_WIDTH,d0
	move.l  #BMP_HEIGHT,d1		
	jsr   InitJaguar
		
	move.w #0,BG
	
	jmp 	___main			; Jump to main code

		.data
		.dphrase
_font8x8:	.incbin "font8x8.cry"
_lavabitmapdata:  .incbin "bitmaps/lava.cry"
_playerbitmapdata: .incbin "bitmaps/ship.cry"
_enemybitmapdata: .incbin "bitmaps/enemy.cry"
_missilebitmapdata: .incbin "bitmaps/missile.cry"
_exp4832bitmapdata: .incbin "bitmaps/explosion4832.cry"
_junkbitmapdata:    .incbin "bitmaps/junk56.cry"
_titlebitmapdata:   .incbin "bitmaps/shootemup.cry"
_u235sebitmapdata:  .incbin "bitmaps/u235se.cry"

_laserspldata:  .incbin "sounds/firebig.wav"
_laserspldataend:
_explosionspldata:  .incbin "sounds/damage.wav"
_explosionspldataend:
_shipexplospldata:  .incbin "sounds/shiphitl.wav"
_shipexplospldataend:

    .bss
    .dphrase
_logwindowbase: ds.w  256*64
_scorewindowbase: ds.w 320*16;
_messagewindowbase: ds.w 80*16
_creditwindowbase: ds.w 256*64

		.end